org.apache.poi.ss.usermodel

## Class ConditionType

- java.lang.Object
- - org.apache.poi.ss.usermodel.ConditionType

-     public class ConditionType
      extends java.lang.Object

  Represents a type of a conditional formatting rule

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ConditionType` | `CELL_VALUE_IS` This conditional formatting rule compares a cell value to a formula calculated result, using an operator
    `static ConditionType` | `COLOR_SCALE` This conditional formatting rule contains a color scale, with the cell background set according to a gradient.
    `static ConditionType` | `DATA_BAR` This conditional formatting rule sets a data bar, with the cell populated with bars based on their values
    `static ConditionType` | `FILTER` This conditional formatting rule that files the values
    `static ConditionType` | `FORMULA` This conditional formatting rule contains a formula to evaluate.
    `static ConditionType` | `ICON_SET` This conditional formatting rule sets a data bar, with the cell populated with bars based on their values
    `byte` | `id`
    `java.lang.String` | `type`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConditionType` | `forId(byte id)`
    `static ConditionType` | `forId(int id)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CELL_VALUE_IS

          public static final ConditionType CELL_VALUE_IS

      This conditional formatting rule compares a cell value to a formula calculated result, using an operator

    - #### FORMULA

          public static final ConditionType FORMULA

      This conditional formatting rule contains a formula to evaluate. When the formula result is true, the cell is highlighted.

    - #### COLOR_SCALE

          public static final ConditionType COLOR_SCALE

      This conditional formatting rule contains a color scale, with the cell background set according to a gradient.

    - #### DATA_BAR

          public static final ConditionType DATA_BAR

      This conditional formatting rule sets a data bar, with the cell populated with bars based on their values

    - #### FILTER

          public static final ConditionType FILTER

      This conditional formatting rule that files the values

    - #### ICON_SET

          public static final ConditionType ICON_SET

      This conditional formatting rule sets a data bar, with the cell populated with bars based on their values

    - #### id

          public final byte id

    - #### type

          public final java.lang.String type

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### forId

          public static ConditionType forId(byte id)

    - #### forId

          public static ConditionType forId(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.